For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
              • GETGet Shipping Settings
              • PUTUpdate Shipping Settings
              • GETGet Shipping Settings per Channel
              • PUTUpdate Shipping Settings per Channel
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementShippingV3Shipping Settings

Get Shipping Settings

GET
https://api.bigcommerce.com/stores/:store_hash/v3/shipping/settings
GET
/stores/:store_hash/v3/shipping/settings
$curl https://api.bigcommerce.com/stores/store_hash/v3/shipping/settings \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
200Retrieved
1{
2 "data": {
3 "checkout": {
4 "country_list_strategy": "DISPLAY_ALL_COUNTRIES",
5 "out_of_delivery_zone_message": "Unfortunately, one or more items in your cart can't be shipped to your location. Please choose a different delivery address."
6 }
7 },
8 "meta": {}
9}

Returns the global-level shipping settings.

Was this page helpful?
Previous

Delete Customs Information

Next

Update Shipping Settings

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Response

dataobject
metaobject